package kiyut.sketsa.modules.extratool;

import kiyut.sketsa.windows.toolbox.AbstractToolAction;
import org.openide.util.NbBundle;

/** Action wrapper for {@link kiyut.sketsa.modules.extratool.Arrow01Tool} which is used by Toolbox, aka Toolbox Item
 *
 * @author KIYUT
 */
public class Arrow01ToolAction extends AbstractToolAction {

    /**
     * Creates a new instance of Arrow01ToolAction
     */
    public Arrow01ToolAction() {
        tool = new Arrow01Tool();
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(Arrow01ToolAction.class, "CTL_Arrow01ToolAction");
    }

    @Override
    protected String iconResource() {
        return NbBundle.getMessage(Arrow01ToolAction.class, "ICON_Arrow01ToolAction");
    }
}
